> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Making your first API request

When making calls to fabric APIs, you must use the following HTTP headers to provide context.

* **`--header`**: This flag is used to include headers in the request. The most commonly used headers in fabric APIs are:
  * **`x-fabric-tenant-id`**: This is a custom header used by the API to identify the tenant making the request. You can [find the tenant-id](/v3/platform/settings/account-details/getting-the-account-id) in Copilot.
  * **`Content-Type: application/json`**: This tells the server that the data being sent in the request is in JSON format.
  * **`Authorization: Bearer`**: This is the authorization token used to authenticate the request. You must pass the access token generated from the system app.
  * **`x-fabric-channel-id`**: This is a custom header, used to identify the channel through which the request is being made. This is primarily used for a multichannel use case. Usually, the default value is 12 (US).

fabric API responses are in JSON format.

#### Prerequisites

Before you can start using fabric APIs:

* Generate the access token by following the instructions in the [Getting Started with fabric APIs](/v3/getting-started/api-guides/getting-started-with-fabric-apis) section.
* Get the x-fabric-tenant-id by following the instructions in the [Getting the Account ID](/v3/platform/settings/account-details/getting-the-account-id) section.

#### Procedure

The following steps use [Create attribute](/v3/api-reference/product-catalog/attributes/create-attribute) as an example:

1. Log in to Postman client.
2. In the left menu, click **Import**
   The import window will display.
3. In the import window, copy and paste the following code:

```bash theme={null}
   curl --request POST \
   --url https://api.fabric.inc/v3/product-attributes \
   --header 'Content-Type: application/json' \
   --header 'Authorization: Bearer <token>' \
   --header 'x-fabric-tenant-id: <tenant-id>' \
   --data '{
      "name": "Category datetime example",
      "isLocalizable": false,
      "target": "CATEGORY",
      "type": "DATETIME",
      "validation": {
         "isMandatory": false,
         "isManualOverwrite": false,
         "formula": "",
         "dateFormat": "MM/DD/YYYY"
      }
   }'  
```

4. To populate the headers, click the **Headers** tab and do the following:
   * To enter **`Authorization: Bearer`**, replace **Bearer \<token>** with the access token you generated from [Getting Started with fabric APIs](/v3/api-reference/getting-started/getting-started-with-fabric-apis) section.
   * To enter **`x-fabric-channel-id`**, replace **\<tenant-id>** with the tenant-id you obtained from [Getting the Account ID](/v3/platform/settings/account-details/getting-the-account-id) section.
5. Click **Send**.

## Related Topics

* [Getting Started with fabric APIs](/v3/getting-started/api-guides/getting-started-with-fabric-apis)
* [API Authentication](/v3/getting-started/api-guides/api-authentication)
* [Glossary](/v3/getting-started/copilot/glossary)
* [Getting System App Credentials](/v3/platform/settings/api-apps/getting-system-app-credentials)
* [fabric support](https://support.fabric.inc/hc/en-us/requests/new)
* [License](https://fabric.inc/api-license)
* [Demo Request](https://fabric.inc/demo-request)
